Uploaded image for project: 'Core Server'
  1. Core Server
  2. SERVER-12140

ReplSetTest upgradeSet() needs to reauth after reconnecting

    XMLWordPrintable

    Details

    • Operating System:
      ALL

      Description

      I'm getting some authorization errors when I try to upgrade a replica set from 2.4.0 to 2.5.4 with a keyfile:

      2013-12-17T11:40:00.501-0500 shell: started program /Users/vkarpov/qa/QA/QA-424/mongod-26 --oplogSize 40 --keyFile jstests/libs/key1 --port 31001 --noprealloc --smallfiles --rest --replSet rs1 --dbpath /data/db/rs1-1 --clusterAuthMode keyFile
      2013-12-17T11:40:00.502-0500 warning: Failed to connect to 127.0.0.1, reason: errno:61 Connection refused
      m31001| 2013-12-17T11:40:00.525-0500 ** WARNING: --rest is specified without --httpinterface,
      m31001| 2013-12-17T11:40:00.525-0500 ** enabling http interface
      m31001| note: noprealloc may hurt performance in many applications
      m31001| 2013-12-17T11:40:00.528-0500 [initandlisten] MongoDB starting : pid=2231 port=31001 dbpath=/data/db/rs1-1 64-bit host=specter.local
      m31001| 2013-12-17T11:40:00.528-0500 [initandlisten]
      m31001| 2013-12-17T11:40:00.528-0500 [initandlisten] ** NOTE: This is a development version (2.5.4) of MongoDB.
      m31001| 2013-12-17T11:40:00.528-0500 [initandlisten] ** Not recommended for production.
      m31001| 2013-12-17T11:40:00.528-0500 [initandlisten]
      m31001| 2013-12-17T11:40:00.528-0500 [initandlisten] ** WARNING: soft rlimits too low. Number of files is 256, should be at least 1000
      m31001| 2013-12-17T11:40:00.528-0500 [initandlisten]
      m31001| 2013-12-17T11:40:00.528-0500 [initandlisten] db version v2.5.4
      m31001| 2013-12-17T11:40:00.528-0500 [initandlisten] git version: ffd52e5f46cf2ba74ba931c78da62d4a7f480d8e
      m31001| 2013-12-17T11:40:00.528-0500 [initandlisten] build info: Darwin bs-osx-108-x86-64-2.10gen.cc 12.3.0 Darwin Kernel Version 12.3.0: Sun Jan 6 22:37:10 PST 2013; root:xnu-2050.22.13~1/RELEASE_X86_64 x86_64 BOOST_LIB_VERSION=1_49
      m31001| 2013-12-17T11:40:00.528-0500 [initandlisten] allocator: system
      m31001| 2013-12-17T11:40:00.528-0500 [initandlisten] options:

      { clusterAuthMode: "keyFile", dbpath: "/data/db/rs1-1", keyFile: "jstests/libs/key1", noprealloc: true, oplogSize: 40, port: 31001, replSet: "rs1", rest: true, smallfiles: true }

      ...
      ReplSetTest waitForIndicator from node connection to specter.local:31001
      m31000| Tue Dec 17 11:40:00.706 [conn1] command denied:

      { replSetGetStatus: 1.0 }

      ReplSetTest waitForIndicator Initial status ( timeout : 30000 ) :

      { "ok" : 0, "errmsg" : "unauthorized" }

      m31000| Tue Dec 17 11:40:00.909 [conn1] command denied:

      { replSetGetStatus: 1.0 }

      m31000| Tue Dec 17 11:40:01.110 [conn1] command denied:

      { replSetGetStatus: 1.0 }

      m31000| Tue Dec 17 11:40:01.313 [conn1] command denied:

      { replSetGetStatus: 1.0 }

      m31000| Tue Dec 17 11:40:01.515 [conn1] command denied:

      { replSetGetStatus: 1.0 }

      m31000| Tue Dec 17 11:40:01.718 [conn1] command denied:

      { replSetGetStatus: 1.0 }

      These errors start when I restart one node with the 2.5.4 binary. The 2.5.4 command line flags look like what I would expect to work, but yet the upgrade can't continue. I've attached the scripts that I'm using for this.

        Attachments

        1. repl_upgrade_normal.js
          1.0 kB
        2. x509_repl_upgrade.js
          3 kB
        3. output.txt
          109 kB

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              5 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: